This time its Joomla, with the recent release of Metasploit’s new joomla exploit which effects version 2.5.x up to 2.5.1, as well as 3.x up to 3.1.4. The vulnerability exists in the Media Manager Module which comes by default in joomla web applications allowing Remote File Uploads which results in Remote Code Execution on host servers. This Exploit was tested through Kali Linux. In this exploit review you will get to know how hackers execute remote code execution strategies on poorly configured web-application and we will also see how we will Over Come to Fix this Vulnerability.